package org.wfc.omada.api.msp.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * OperationResponseListWebhookSetting
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:44:08.065+08:00[Asia/Shanghai]")

public class OperationResponseListWebhookSetting   {
  @JsonProperty("errorCode")
  private Integer errorCode;

  @JsonProperty("msg")
  private String msg;

  @JsonProperty("result")
  @Valid
  private List<WebhookSetting> result = null;

  public OperationResponseListWebhookSetting errorCode(Integer errorCode) {
    this.errorCode = errorCode;
    return this;
  }

  /**
   * Get errorCode
   * @return errorCode
  */
  @ApiModelProperty(value = "")


  public Integer getErrorCode() {
    return errorCode;
  }

  public void setErrorCode(Integer errorCode) {
    this.errorCode = errorCode;
  }

  public OperationResponseListWebhookSetting msg(String msg) {
    this.msg = msg;
    return this;
  }

  /**
   * Get msg
   * @return msg
  */
  @ApiModelProperty(value = "")


  public String getMsg() {
    return msg;
  }

  public void setMsg(String msg) {
    this.msg = msg;
  }

  public OperationResponseListWebhookSetting result(List<WebhookSetting> result) {
    this.result = result;
    return this;
  }

  public OperationResponseListWebhookSetting addResultItem(WebhookSetting resultItem) {
    if (this.result == null) {
      this.result = new ArrayList<>();
    }
    this.result.add(resultItem);
    return this;
  }

  /**
   * Get result
   * @return result
  */
  @ApiModelProperty(value = "")

  @Valid

  public List<WebhookSetting> getResult() {
    return result;
  }

  public void setResult(List<WebhookSetting> result) {
    this.result = result;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    OperationResponseListWebhookSetting operationResponseListWebhookSetting = (OperationResponseListWebhookSetting) o;
    return Objects.equals(this.errorCode, operationResponseListWebhookSetting.errorCode) &&
        Objects.equals(this.msg, operationResponseListWebhookSetting.msg) &&
        Objects.equals(this.result, operationResponseListWebhookSetting.result);
  }

  @Override
  public int hashCode() {
    return Objects.hash(errorCode, msg, result);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class OperationResponseListWebhookSetting {\n");
    
    sb.append("    errorCode: ").append(toIndentedString(errorCode)).append("\n");
    sb.append("    msg: ").append(toIndentedString(msg)).append("\n");
    sb.append("    result: ").append(toIndentedString(result)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

